From aa77e82ec8b45ee86a410555cfb91864c210882b Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 24 2020 22:43:05 +0000
Subject: [PATCH 349/2232] Use const_assert_eq for all const assertions


---

diff --git a/src/opaque.rs b/src/opaque.rs
index ded64e9..0ff6bb9 100644
--- a/src/opaque.rs
+++ b/src/opaque.rs
@@ -10,7 +10,5 @@ pub struct Opaque {
     _private: [*const u8; 0],
 }
 
-fn _assert() {
-    let _: [(); 0] = [(); mem::size_of::<Opaque>()];
-    let _: [(); 1] = [(); mem::align_of::<Opaque>()];
-}
+const_assert_eq!(0, mem::size_of::<Opaque>());
+const_assert_eq!(1, mem::align_of::<Opaque>());
diff --git a/src/rust_string.rs b/src/rust_string.rs
index 113adfd..3fba2f5 100644
--- a/src/rust_string.rs
+++ b/src/rust_string.rs
@@ -71,7 +71,5 @@ unsafe extern "C" fn string_len(this: &String) -> usize {
     this.len()
 }
 
-fn _assert() {
-    let _: [(); mem::size_of::<[usize; 3]>()] = [(); mem::size_of::<String>()];
-    let _: [(); mem::align_of::<usize>()] = [(); mem::align_of::<String>()];
-}
+const_assert_eq!(mem::size_of::<[usize; 3]>(), mem::size_of::<String>());
+const_assert_eq!(mem::align_of::<usize>(), mem::align_of::<String>());

